﻿using System.Collections.ObjectModel;
using Connected.Expressions.Collections;

namespace Connected.Expressions.Evaluation;

internal sealed class Command
{
	public Command(string commandText, IEnumerable<CommandParameter> parameters)
	{
		CommandText = commandText;
		Parameters = parameters.ToReadOnly();
	}

	public string CommandText { get; }
	public ReadOnlyCollection<CommandParameter> Parameters { get; }
}
