﻿using Connected.Expressions.Languages;
using System.Linq.Expressions;

namespace Connected.Expressions;

public sealed class ExpressionCompilationContext
{
	public ExpressionCompilationContext(QueryLanguage language)
	{
		Language = language;

		Parameters = new();

	}

	public QueryLanguage Language { get; }

	public Dictionary<string, ConstantExpression> Parameters { get; }
}
