﻿namespace Connected.Entities.Annotations
{
   [AttributeUsage(AttributeTargets.Class | AttributeTargets.Property | AttributeTargets.Field, AllowMultiple = true)]
   public sealed class TableExtensionAttribute : SchemaAttribute
   {
      public string? KeyColumns { get; set; }
      public string? RelatedTableId { get; set; }
      public string? RelatedKeyColumns { get; set; }
   }
}
